package com.philisense.www.service.impl;


import com.philisense.www.dao.SystemNoticeDAO;
import com.philisense.www.service.SystemNoticeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;


import java.util.List;
import java.util.Map;

@Service
public class SystemNoticeServiceImpl implements SystemNoticeService {

@Autowired
private SystemNoticeDAO systemNoticeDAO;

@Override
public int deleteByPrimaryKey(String id) {
return systemNoticeDAO.deleteByPrimaryKey(id);
}

@Override
public Map<String, Object> selectByPrimaryKey(String id) {
return systemNoticeDAO.selectByPrimaryKey(id);
}

@Override
public int insert(Map<String, Object> map) {
return systemNoticeDAO.insert(map);
}

@Override
public int update(Map<String, Object> map) {
return systemNoticeDAO.update(map);
}

@Override
public int deleteByMap(Map<String, Object> map) {
return systemNoticeDAO.deleteByMap(map);
}

@Override
public int updateByMap(Map<String, Object> map) {
return systemNoticeDAO.updateByMap(map);
}

@Override
public Map<String, Object> getOne(Map<String, Object> map) {
return systemNoticeDAO.getOne(map);
}

@Override
public List<Map<String, Object>> getAll(Map<String, Object> map) {
return systemNoticeDAO.getAll(map);
}

@Override
public List<Map<String, Object>> queryPage(Map<String, Object> map) {
return systemNoticeDAO.queryPage(map);
}

@Override
public int count(Map<String, Object> map) {
return systemNoticeDAO.count(map);
}

@Override
public void insertBatch(List<Map<String, Object>> list) {
systemNoticeDAO.insertBatch(list);
}

@Override
public void deleteBatch(List<Map<String, Object>> list) {
systemNoticeDAO.deleteBatch(list);
}

@Override
public void updateBatch(List<Map<String, Object>> list) {
systemNoticeDAO.updateBatch(list);
}

@Override
public List<Map<String, Object>> timecountlist(Object map) {
    return systemNoticeDAO.timecountlist(map);
}

    @Override
    public List<Map<String, Object>> getNoticeTopToHomePage(Map<String, Object> map) {
        return systemNoticeDAO.getNoticeTopToHomePage(map);
    }
}